# confirm that the network is alive
ping -n -c 4 192.0.2.254

# make sure that clear text does not get through
iptables -A INPUT -i eth1 -s 192.0.2.0/24 -j DROP

TESTNAME=vpn-dns-01
mkdir -p /tmp/$TESTNAME

cp /testing/pluto/$TESTNAME/west.conf  /tmp/$TESTNAME/ipsec.conf
cp /etc/ipsec.secrets                  /tmp/$TESTNAME

mkdir -p /tmp/$TESTNAME/ipsec.d/policies
cp /etc/ipsec.d/policies/* /tmp/$TESTNAME/ipsec.d/policies

IPSEC_CONFS=/tmp/$TESTNAME export IPSEC_CONFS

ipsec setup start

ipsec auto --add westnet-eastnet-key-key
ipsec auto --add westnet-eastnet-key-txt
ipsec auto --add westnet-eastnet-txt-txt
ipsec auto --add westnet-eastnet-txt-key
ipsec auto --add westnet-eastnet-bad-key
ipsec auto --add westnet-eastnet-txt-bad

echo done

